# Manual do Utilizador KDE

&Lauri.Watts; &Lauri.Watts.mail;
2004-02-02
Ambiente de Trabalho K
qtoptions
7

# Opções do Qt

As opções comuns da linha de comandos que se baseiem nas bibliotecas do Qt

    Aplicação do Qt Opções Genéricas do Qt

## Opções

As seguintes opções aplicam-se a todas as aplicações do &Qt;:

`--display` `nome do ecrã`

  Usa o ecrã do servidor de X indicado em `nome do ecrã`.

`--session` `sessão`

  Repõe a aplicaao para o identificador da `sessão` indicado.

`--cmap`

  Faz com que a aplicação instale um mapa de cores privado num ecrã de 8 bits.

`--ncols` `número`

  Limita o número de cores reservado no cubo de cores para um ecrã de 8 bits, se a aplicação estiver a usar a especificação de cores `QApplication::ManyColor`.

`--nograb`

  Diz ao &Qt; para nunca capturar o rato ou o teclado.

`--dograb`

  A execução dentro de um depurador poderá causar um `--nograb` implícito; use o `--dograb` para ignorar.

`--sync`

  Muda para o modo síncrono, para fins de depuração.

`--fn`,`--font` `tipo de letra`

  Define o tipo de letra da aplicação.

`--bg`,`--background` `cor`

  Define a cor de fundo por omissão e uma paleta da aplicação (são calculados os tons claros e escuros).

`--fg`,`--foreground` `cor`

  Altera a cor do texto por omissão

`--btn`,`--button` `cor`

  Define a cor por omissão para os botões.

`--name` `nome`

  Define o nome da aplicação.

`--title` `título`

  Define o título da aplicação.

`--visual` `TrueColor`

  Obriga a aplicação a usar um visual `TrueColor` num ecrã de 8 bits.

`--inputstyle` `estilo de entrada`

  Define o estilo de introdução de dados do XIM (X Input Method). Os valores possíveis são o `onthespot`, `overthespot`, `offthespot` e o `root`.

`--im` `servidor de XIM`

  Define o servidor de XIM.

`--noxim`

  Desactiva o XIM

## Veja Também

kde-options.7

## Autores

A página de manual foi escrita por &Lauri.Watts; &Lauri.Watts.mail;